#include "game_engine.h"

void keyboard_manager(const int key, int *x_offset, int *y_offset)
{
 	extern const struct map map_world;

	switch(key)
	{
		case KEY_UP:
			if (*y_offset - 1 >= 0) *y_offset -= 2;
			break;

		case KEY_RIGHT:
			if (*x_offset + 396 < map_world.width * TILE_SIZE) *x_offset += 2;
			break;

		case KEY_DOWN:
			if (*y_offset + 224 < map_world.height * TILE_SIZE) *y_offset += 2;
			break;

		case KEY_LEFT:
			if (*x_offset - 1 >= 0) *x_offset -= 2;
			break;
	}	
}