/*
  Name : Odyssée Game Engine
  Version : dev

  code provided with licence : 
  GNU General Public Licence v3.0
*/

#include "game_engine.h"
#include "display_engine.h"

int main(void)
{
    int key = 0, x_offset = 0, y_offset = 0;

    while (key != KEY_EXIT)
    {
        dclear(C_WHITE);
        display_map(x_offset, y_offset);
        dprint(2, 2, C_BLACK, "(%d, %d)", x_offset, y_offset);
        dupdate();

        key = getkey().key;
        keyboard_manager(key, &x_offset, &y_offset);
    }

    return 0;
}